%define		package	Finder
%define		php_min_version 5.3.9
Summary:	Symfony2 Finder Component
Name:		php-symfony2-Finder
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	e77d0f7fdd7a5be8b1a0ad9a8c9a965b
URL:		http://symfony.com/doc/2.7/components/finder.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Finder Component finds files and directories via an intuitive
fluent interface.

%prep
%setup -q -n finder-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Finder
%{php_data_dir}/Symfony/Component/Finder/*.php
%{php_data_dir}/Symfony/Component/Finder/Adapter
%{php_data_dir}/Symfony/Component/Finder/Comparator
%{php_data_dir}/Symfony/Component/Finder/Exception
%{php_data_dir}/Symfony/Component/Finder/Expression
%{php_data_dir}/Symfony/Component/Finder/Iterator
%{php_data_dir}/Symfony/Component/Finder/Shell
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Finder.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> c5e6e13
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 8f41a38
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> aa1c131
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 4be28fe
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 64dc24a
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 326815a
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 9ade3a8
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 954aef7
- up to 2.7.5

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> eb96c14
- fix php-pear dependency

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 2553114
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 028e0a3
- use autoloader.php as autoload bootstrap (for php-phpunit-FinderFacade)

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 69bb510
- cleanups, unify

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 013c830
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 811d024
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> d24828d
- up to 2.4.3

* Tue Sep 24 2013 Elan Ruusamäe <glen@delfi.ee> 6ea60ac
- fix md5

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 11b6d56
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> e2b18e4
- up to 2.1.6

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> f4957fe
- release 2 (by relup.sh)

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> 8bffd1f
- R: php-pear >= 1.3.10 for Symfony/Component dir

